var ledArray=[];
var startupTmr=0;
var ampMode=0;
var alive=0;
var popUpWnd=null;
var popUpWndActive=false ;
var popUpType=0;
var xmlhttpPopUp=null;
var xmlhttpRecurr=null;
var lastSelAntenna='z';
var selectmenu=null;
var urlPrex='' ;
var uniqueID=0;
var disablePage=0;
var scriptURL="http://www.remoterig.com/1216H/acom" ;
var gotReply=1;
var ajaxTimeout=0;

function getXMLHttp()
{
	if (window.XMLHttpRequest)
		// code for IE7+, Firefox, Chrome, Opera, Safari
		xmlhttp2=new XMLHttpRequest();
	else
		// code for IE6, IE5
		xmlhttp2=new ActiveXObject("Microsoft.XMLHTTP");

	return xmlhttp2 ;
}

function sendCmd(cmd)
{
	var url = urlPrex + "ampcmd?c=" + cmd + new Date().getTime();
	//var url = "http://192.168.136.220/ampcmd?c=" + cmd + new Date().getTime();

	xmlhttp = getXMLHttp() ;
	xmlhttp.open("GET",url,true);
	xmlhttp.send(null);
}

function readparamsbtnF(e)
{
	if (ledArray[8].mode !=1)
	{
		alert("No contact with the amplifier!") ;
		return ;
	}

	if (popUpWnd != null)
		alert("Parameters popup window already open!");
	else
	{
		xmlhttpPopUp.onreadystatechange=function()
		{
			if (xmlhttpPopUp.readyState==4 && xmlhttpPopUp.status==200)
			{
				gotReply=1;
				var str = xmlhttpPopUp.responseText;
				if (popUpWnd != null && str.length > 0)
				{
					if ( str=="!!!" )
						popUpWndActive=false;
					else
					{
						popUpWnd.document.write(str);
						popUpWndActive=true ;
					}
				}
			}

			return ;
		}

		popUpType=1;
		popUpWnd=window.open("", "popUpWnd", "location=1,status=0,scrollbars=0,width=400,height=500,location=0");

		var url = urlPrex + "ampcmd?c=G" + new Date().getTime();
		//var url = "http://192.168.136.220/ampcmd?c=G" + new Date().getTime();
		xmlhttpPopUp.open("GET",url,true);
		xmlhttpPopUp.send();
	}
}

function autoTuneF(e)
{
	// Main or amplifier power off?
	if (ledArray[7].mode == 0 || ledArray[6].mode == 0)
		// Yes
		alert("Main+amplifier power needs to be on before auto tuning!") ;
	else if (ledArray[8].mode !=1)
		alert("No contact with the amplifier!") ;
	else
	{
		if (popUpWnd != null)
			alert("Auto tune popup window already open!");
		else
		{
			popUpType=2;
			//popUpWnd=window.open("autotunepopup.php", "popUpWnd", "location=1,status=0,scrollbars=0,width=330,height=300,location=0");
			popUpWnd=window.open("autotunepopup", "popUpWnd", "location=1,status=0,scrollbars=0,width=350,height=300,location=0");

			// Ge lite tid innan statusuppdatering av sidan s popup-fnstret r redo
			restartTmr(1000);

			sendCmd('J') ;
		}
	}
}

function mainpwrbtnF(e)
{
	// Main power on?
	if ( ledArray[7].mode != 0 )
	{
		// Yes, amp power on?
		if ( ledArray[6].mode != 0 )
		{
			// Yes
			if ( confirm("Amplifer power is on, please use on/off button to turn off power, or click OK to turn main power off anyway" ) )
				sendCmd('B') ;
		}
		else
		{
			if ( confirm("Are you sure you want to turn off main power?" ) )
				sendCmd('B') ;
		}
	}
	else
	{
		if ( confirm("Are you sure you want to turn on main power?" ) )
			sendCmd('A') ;
	}
}

function pwrbtnF(e)
{
	// Main power off?
	if ( ledArray[7].mode == 0 )
		// Yes, then can't power on!
		alert("Main power needs to be on before powering on the amplifier!") ;
	else
	{
		// Yes, amp power on?
		if ( ledArray[6].mode != 0 )
		{
			// Yes, then turn off
			if ( confirm("Are you sure you want to turn off the amplifier?" ) )
				sendCmd('C') ;
		}
		else
		{
			if ( confirm("Are you sure you want to turn on the amplifier?" ) )
				sendCmd('D') ;
		}
	}
}

function opstdbyF(e)
{
	// Main or amplifier power off?
	if ( ledArray[7].mode == 0 || ledArray[6].mode == 0 )
		// Yes, then can't power on!
		alert("Main+amplifier power needs to be on before changing to operate mode!") ;
	// Amplfier must be either in operate eller standby mode
	//else if ( ledArray[4].mode == 0 && ledArray[5].mode == 0 )
	//	alert("Amplifier not in operate/standby mode!") ;
	else
	{	// Operate mode?
		if ( ledArray[4].mode != 0 )
			sendCmd('E') ; // Yes, set standby
		else
			sendCmd('F') ; // No, set operate
	}
}

function bandUpF(e)
{
	sendCmd('K') ;
}

function bandDownF(e)
{
	sendCmd('L') ;
}

function ledHandler(indx)
{
	// Off
	if (ledArray[indx].mode==0)
		document.getElementById(ledArray[indx].id).src=scriptURL+"/img/led2off.png";
	// On
	else if (ledArray[indx].mode==1)
		document.getElementById(ledArray[indx].id).src=scriptURL+"/img/led2on"+ledArray[indx].c+".png";
	// Blink
	else if (ledArray[indx].mode==2)
	{
		if(ledArray[indx].state<7)
		{
			ledArray[indx].state++ ;
			document.getElementById(ledArray[indx].id).src=scriptURL+"/img/led2on"+ledArray[indx].c+".png";
		}
		else if(ledArray[indx].state<14)
		{
			ledArray[indx].state++ ;
			document.getElementById(ledArray[indx].id).src=scriptURL+"/img/led2off.png";
		}
		else
			ledArray[indx].state=0;
	}
	// Flash
	else if (ledArray[indx].mode==3)
	{
		if(ledArray[indx].state<2)
		{
			ledArray[indx].state++ ;
			document.getElementById(ledArray[indx].id).src=scriptURL+"/img/led2on"+ledArray[indx].c+".png";
		}
		else if(ledArray[indx].state<4)
		{
			ledArray[indx].state++ ;
			document.getElementById(ledArray[indx].id).src=scriptURL+"/img/led2off.png";
		}
		else if(ledArray[indx].state<6)
		{
			ledArray[indx].state++ ;
			document.getElementById(ledArray[indx].id).src=scriptURL+"/img/led2on"+ledArray[indx].c+".png";
		}
		else if(ledArray[indx].state<12)
		{
			ledArray[indx].state++ ;
			document.getElementById(ledArray[indx].id).src=scriptURL+"/img/led2off.png";
		}
		else
			ledArray[indx].state=0;
	}
	else
		document.getElementById(ledArray[indx].id).src=scriptURL+"/img/led2off.png";
}

function flashHandler()
{
	for(i=0;i<9;i++)
		ledHandler(i) ;
}

function restartTmr(tid)
{
	if (startupTmr!=0)
		clearTimeout(startupTmr);
	startupTmr=setTimeout(reCurring,tid) ;
}

function pwrLed(led,mode)
{
	if (mode==0)
		document.getElementById("L"+led).src = scriptURL+"/img/ledoff.png";
	else if (mode == 1)
		document.getElementById("L"+led).src = scriptURL+"/img/ledong.png";
	else if (mode == 3)
		document.getElementById("L"+led).src = scriptURL+"/img/ledony.png";
	else if (mode == 4)
		document.getElementById("L"+led).src = scriptURL+"/img/ledono.png";
	else
		document.getElementById("L"+led).src = scriptURL+"/img/ledonr.png";
}

function rpwrLed(led,mode)
{
	if (mode==0)
		document.getElementById("LR"+led).src = scriptURL+"/img/ledoff.png";
	else if (mode == 1)
		document.getElementById("LR"+led).src = scriptURL+"/img/ledong.png";
	else if (mode == 3)
		document.getElementById("LR"+led).src = scriptURL+"/img/ledony.png";
	else if (mode == 4)
		document.getElementById("LR"+led).src = scriptURL+"/img/ledono.png";
	else
		document.getElementById("LR"+led).src = scriptURL+"/img/ledonr.png";
}

function setPos(id,tp,lt,ig)
{
	var o=document.getElementById(id) ;
	if (o == null)
		return null ;
	o.style.top=tp+30;
	o.style.left=lt-25;
	if ( typeof ig != "undefined" )
		o.src = ig ;

	return o;
}

function sendAntCmd()
{
	for(i=0;i<=9;i++)
	{
		if ( document.getElementById("ant"+i).selected=="selected" )
			alert(i);
	}
}

function onAutoTuneStartUp(dbg)
{
	urlPrex='';
	if ( typeof dbg != "undefined" )
		if (dbg=='debug' )
			urlPrex='http://192.168.136.220/' ;

	setPos("lbl1",0,50);

	for(i=1 ; i<=12 ; i++)
		setPos("L"+i,42,25+i*23,scriptURL+"/img/ledoff.png");

	setPos("msg",60,50);

	setPos("P1",28,132,scriptURL+"/img/nedpil.png");
	setPos("P2",28,247,scriptURL+"/img/nedpil.png");
}

function setButtonPos(id,tp,lt,ig,dis)
{
	var o=document.getElementById(id) ;
	if (o == null)
		return null ;
	o.style.top=tp;
	o.style.left=lt;
	if ( typeof ig != "undefined" )
		o.innerHTML='<img src="'+ig+'">';
	if ( typeof dis != "undefined" )
		o.disabled=dis;

	return o;
}

function addOption(sel,opt)
{
	try
	{
		// for IE earlier than version 9
		sel.add(opt,sel.options[null]);
	}
	catch (e)
	{
		sel.add(opt,null);
	}
}

function startUp(sURL,dbg)
{
	var x=50; 
	var o;

	uniqueID=new Date().getTime(); 

	urlPrex='';
	if ( typeof dbg != "undefined" )
		if (dbg=='debug' )
			urlPrex='http://192.168.136.220/' ;

	if ( typeof sURL != "undefined" )
		scriptURL = sURL ;

	var selectmenu=document.getElementById("antsel");
	selectmenu.onchange=function()
	{	
		//var chosenoption=this.options[this.selectedIndex]
		//alert(chosenoption.value) ;
		if ( this.selectedIndex>0)
			sendCmd("I"+(this.selectedIndex-1));
		else
			lastSelAntenna='z';
	}

	var bandmenu=document.getElementById("bandsel");
	if ( bandmenu != null )
	{
		var opt = document.createElement("option");
		opt.value = "2";
		opt.text  = "1800-1825";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "3";
		opt.text  = "1825-1850";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "4";
		opt.text  = "1850-1875";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "5";
		opt.text  = "1875-1900";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "6";
		opt.text  = "1900-1925";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "7";
		opt.text  = "1925-1950";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "8";
		opt.text  = "1950-1975";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "9";
		opt.text  = "1975-2000";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "43";
		opt.text  = "3500-3550";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "44";
		opt.text  = "3550-3600";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "45";
		opt.text  = "3600-3650";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "46";
		opt.text  = "3650-3700";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "47";
		opt.text  = "3700-3750";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "48";
		opt.text  = "3750-3800";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "49";
		opt.text  = "3800-3850";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "50";
		opt.text  = "3850-3900";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "51";
		opt.text  = "3900-3950";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "52";
		opt.text  = "3950-4000";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "93";
		opt.text  = "7000-7100";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "94";
		opt.text  = "7100-7200";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "95";
		opt.text  = "7200-7300";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "123";
		opt.text  = "10000-10100";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "124";
		opt.text  = "10100-10200";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "163";
		opt.text  = "14000-14100";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "164";
		opt.text  = "14100-14200";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "165";
		opt.text  = "14200-14300";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "166";
		opt.text  = "14300-14400";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "193";
		opt.text  = "18000-18150";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "194";
		opt.text  = "18150-18300";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "213";
		opt.text  = "21000-21150";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "214";
		opt.text  = "21150-21300";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "215";
		opt.text  = "21300-21450";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "230";
		opt.text  = "24500-24750";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "231";
		opt.text  = "24750-25000";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "243";
		opt.text  = "28000-28300";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "244";
		opt.text  = "28300-28600";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "245";
		opt.text  = "28600-28900";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "246";
		opt.text  = "28900-29200";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "247";
		opt.text  = "29200-29500";
		addOption(bandmenu,opt);

		opt = document.createElement("option");
		opt.value = "248";
		opt.text  = "29500-29800";
		addOption(bandmenu,opt);

		bandmenu.onchange=function()
		{	
			var chosenoption=this.options[this.selectedIndex]
			//alert(chosenoption.value) ;
			if ( this.selectedIndex>0)
				sendCmd("M"+chosenoption.value+"X");
		}
	}

	xmlhttpPopUp  = getXMLHttp() ;
	xmlhttpRecurr = getXMLHttp() ;

	ledArray[0] = {id:"LE1", mode:0, state:0, c:"r"};
	ledArray[1] = {id:"LE2", mode:0, state:0, c:"y"};
	ledArray[2] = {id:"LE3", mode:0, state:0, c:"y"};
	ledArray[3] = {id:"LE4", mode:0, state:0, c:"y"};
	ledArray[4] = {id:"LE5", mode:0, state:0, c:"g"};
	ledArray[5] = {id:"LE6", mode:0, state:0, c:"y"};
	ledArray[6] = {id:"LE7", mode:0, state:0, c:"r"};
	ledArray[7] = {id:"LE8", mode:0, state:0, c:"r"};
	ledArray[8] = {id:"LE9", mode:0, state:0, c:"g"};

	setPos("header",0,50);
	setPos("fpwr",27,50);
	setPos("LET1",85,50);
	setPos("LET2",85,80);
	setPos("LET3",85,125);
	setPos("LET4",85,160);
	setPos("rpwr",85,226);
	setPos("BS",140,50);
	setPos("BSV",160,50);

	for(i=1;i<=16;i++)
	{
		setPos("L"+i,50,x,scriptURL+"/img/ledoff.png");
		setPos("TL"+i,60,x);
		x=x+22;
	}

	x=50+8*22;
	for(i=1;i<=8;i++)
	{
		setPos("LR"+i,110,x,scriptURL+"/img/ledoff.png");
		setPos("TR"+i,120,x);
		x=x+22;
	}

	setPos("LE1",107,52,scriptURL+"/img/led2off.png");
	setPos("LE2",107,92,scriptURL+"/img/led2off.png");
	setPos("LE3",107,128,scriptURL+"/img/led2off.png");
	setPos("LE4",107,165,scriptURL+"/img/led2off.png");
	setPos("LET5",158,284);
	setPos("LE5",158,263,scriptURL+"/img/led2off.png");
	setPos("LET6",189,284);
	setPos("LE6",188,263,scriptURL+"/img/led2off.png");
	setPos("LET7",189,370);
	setPos("LE7",188,348,scriptURL+"/img/led2off.png");

	setPos("mainpwrbtn",215,190);
	setPos("LE8",188,210,scriptURL+"/img/led2off.png");

	o=setPos("readparams",215,120);
	if(o!=null)
		o.disabled="disabled";

	o=setPos("opstdby",215,260);	// 190
	if(o!=null)
		o.disabled="disabled";

	o=setPos("autotune",215,50);
	if(o!=null)
		o.disabled="disabled";

	o=setPos("pwrbtn",215,330);
	if(o!=null)
		o.disabled="disabled";

	setPos("T1",140,193);
	setPos("TV",160,196);
	setPos("T2",160,211);

	setPos("LE9",15,380,scriptURL+"/img/led2off.png");

	setPos("status",17,120);

	setPos("antsel",155,340);
	setPos("ant1txt",157,380);

	//setButtonPos("bandup",175,200,scriptURL+"/img/upppil2.png","disabled");
	//setButtonPos("banddown",215,200,scriptURL+"/img/nedpil2.png","disabled");
	//setPos("bandtxt",166,224);
	setPos("bandsel",185,50);

	window.setInterval("flashHandler()", 50) ;

	reCurring();
}

function reCurring()
{
	var o;

	xmlhttpRecurr.onreadystatechange=function()
	{
		if (xmlhttpRecurr.readyState==4 && xmlhttpRecurr.status==200)
		{
			var str = xmlhttpRecurr.responseText;
			var dta = str.split("|") ;
			var move = 0 ;

			for(i=1;i<=16;i++)
				pwrLed(i,0) ;

			for(i=1;i<=8;i++)
				rpwrLed(i,0) ;

			// 1:  Forward pwr leds (0-16)
			if (dta.length >= 1)
			{
				var leds=parseInt(dta[0],10);
				for(i=1;i<=16;i++)
				{
					// On?
					if(leds>=i)
					{
						// Yes, red?
						if(i>=12)
							pwrLed(i,2); // yes
						else
							pwrLed(i,1); // no, green
					}
					else
						break ;
				}
			} 

			// 2:  Reflected pwr leds (0-8)
			if ( dta.length >= 2 )
			{
				var leds=parseInt(dta[1],10);
				for(i=1;i<=8;i++)
				{
					// On?
					if(leds>=i)
					{
						// Yes, red?
						if(i==8)
							rpwrLed(i,2); // yes
						else
							rpwrLed(i,1); // no, green
					}
					else
						break ;
				}
			}

			// 3:  Led1 = Prot
			if ( dta.length >= 3 )
				ledArray[0].mode=parseInt(dta[2],10);

			// 4:  Led2 = Heater
			if ( dta.length >= 4 )
				ledArray[1].mode=parseInt(dta[3],10);

			// 5:  Led3 = Plate
			if ( dta.length >= 5 )
				ledArray[2].mode=parseInt(dta[4],10);

			// 6:  Led4 = Drive
			if ( dta.length >= 6 )
				ledArray[3].mode=parseInt(dta[5],10);

			// 7:  Led5 = Operate
			if ( dta.length >= 7 )
				ledArray[4].mode=parseInt(dta[6],10);

			// 8:  Led6 = Standby
			if ( dta.length >= 8 )
				ledArray[5].mode=parseInt(dta[7],10);

			// 9:  Led7 = Amplifier Power
			if ( dta.length >= 9 )
			{
				ledArray[6].mode=parseInt(dta[8],10);

				if (ledArray[6].mode!=0)
					dis="" ;
				else
					dis="disabled" ;

				o=document.getElementById("opstdby");
				o.disabled=dis;
				o=document.getElementById("readparams");
				o.disabled=dis;
				o=document.getElementById("autotune");
				if(o!=null)
					o.disabled=dis;
				o=document.getElementById("bandsel");
				if(o!=null)
					o.disabled=dis;
			}

			// 10: Led8 = Main Power
			if ( dta.length >= 10 )
			{
				ledArray[7].mode=parseInt(dta[9],10);
				o=document.getElementById("pwrbtn");
				if (ledArray[7].mode!=0)
					o.disabled="" ;
				else
					o.disabled="disabled" ;
			}

			// 11: Status+Meddelande
			if ( dta.length >= 11 )
			{
				ampMode=parseInt(dta[10].substr(0,1));
				document.getElementById("status").innerHTML=dta[10].substr(1) ;
			}

			// 12: Lufttemp i grader C. (0xFF=Okand)
			if ( dta.length >= 12 )
			{
				if(parseInt(dta[11],10)==0xFF)
					document.getElementById("TV").innerHTML='--';
				else
					document.getElementById("TV").innerHTML=dta[11] ;
			}

			// 13: Band segment value, for ex: "07100-07200 A2 DEF"
			if ( dta.length >= 13 )
			{
				document.getElementById("BSV").innerHTML=dta[12] ;

				a=dta[12].indexOf(" A");
				if ( a>=0 )
				{
					anr=dta[12].charAt(a+2);
					if( anr>='0' && anr<='9' )
					{
						if (lastSelAntenna!=anr)
						{
							document.getElementById("ant"+anr).selected="selected" ;
							lastSelAntenna=anr;
						}
					}
				}
			}

			// 14: Online mode,2=ingen kontakt med amplifier,1=kontakt med amplifier
			if ( dta.length >= 14 )
			{
				ledArray[8].mode=parseInt(dta[13],10);
				alive=20;	// 20=10 sek
				gotReply=1;
			}

			// 15: Forward pwr, max led
			if ( dta.length >= 15 )
			{
				var led=parseInt(dta[14],10);
				if (led > 0)
					pwrLed(led,4); 
			}

			// 16: Reflected pwr, max led
			if ( dta.length >= 16 )
			{
				var led=parseInt(dta[15],10);
				if (led > 0)
					rpwrLed(led,4); 
			}

			// 17: Auto tune marker position
			if ( dta.length >= 17 )
			{
				var pos=parseInt(dta[16],10);

				for(i=1;i<=12;i++)
				{
					if (popUpType == 2 && popUpWnd != null && !popUpWnd.closed)
					{
						o=popUpWnd.document.getElementById("L"+i) ;
						if (o != null)
						{
							if ( pos == i )
							{
								if (pos >= 5 && pos <= 9)
									o.src = scriptURL+"/img/ledong.png";
								else
									o.src = scriptURL+"/img/ledonr.png";
							}
							else
								o.src = scriptURL+"/img/ledoff.png";
						}
					}
				}
			}

			// 18: Auto tune-meddelande
			if ( dta.length >= 18 )
			{
				if (dta[17].length > 0)
				{
					if (popUpType == 2 && popUpWnd != null && !popUpWnd.closed)
					{
						o=popUpWnd.document.getElementById("msg") ;
						if (o != null )
						{
							o.innerHTML += dta[17] ;
							o.innerHTML += '<br>'  ;
						}
					}
				}
			}

			// 19: Disable hmtning
			if ( dta.length >= 19 )
				disablePage=parseInt(dta[18],10);

			//restartTmr(500);

			return ;
		}
	}

	// Fortfarande kontakt med switchen?
	if ( alive )
	{
		if( --alive == 0 )
			ledArray[8].mode=0; // Nej
	}
	else
	{
		// Ingen kontakt
		for(i=1;i<=16;i++)
			pwrLed(i,0) ;

		for(i=1;i<=8;i++)
			rpwrLed(i,0) ;

		for(i=0;i<=8;i++)
			ledArray[i].mode=0;

		document.getElementById("antX").selected="selected" ;
		lastSelAntenna='z';
	}

	if (popUpWnd!=null)
	{
		if (popUpWnd.closed)
		{
			popUpWnd=null;
			popUpWndActive=false;
			popUpType=0;
		}
	}

	// Ny hmtning tillten?		
	if (disablePage == 0)
	{
		if ( gotReply )
		{
			gotReply = 0;

			if (popUpType == 1 && popUpWnd!=null && popUpWndActive==true)
			{
				var url2 = urlPrex + "ampcmd?c=H" + new Date().getTime();
				//var url2 = "http://192.168.136.220/ampcmd?c=H" + new Date().getTime();
				xmlhttpPopUp.open("GET",url2,true);
				xmlhttpPopUp.send();
			}
			else
			{
				var url = urlPrex + "ampdta.srv?d=N" + uniqueID + "D" + new Date().getTime();
				//var url = "http://192.168.136.220/ampdta.srv?d=N" + new Date().getTime();
				xmlhttpRecurr.open("GET",url,true);
				xmlhttpRecurr.send();
				ajaxTimeout=15000/500 ;	// 15 secs timeout
			}
		}
		else
		{
			if ( ajaxTimeout )
			{
				if ( --ajaxTimeout == 0 )
				{
					// Makes another ajax reload happen
					gotReply = 1 ; 
					// Abort any pending request
					if ( xmlhttpRecurr != null )
						xmlhttpRecurr.abort() ;
				}
			}
		}
	}
	else
		document.getElementById("status").innerHTML="<b>Page offline!</b>" ;

	restartTmr(500);
}
